using System.Collections.Generic;
using Cute;
using UnityEngine;

public class EffectSetUp : MonoBehaviour
{
	public bool isBattle;

	public bool isField;

	public bool isFinished;

	private List<string> _loadAssetList = new List<string>();

	private void Start()
	{
		if (GameMgr.GetIns() != null)
		{
			base.gameObject.SetActive(value: true);
			_loadAssetList.AddRange(GameMgr.GetIns().GetEffectMgr().SetUIParticleShader(base.gameObject, delegate
			{
				isFinished = true;
			}, isBattle, isField));
		}
	}

	private void OnDestroy()
	{
		Toolbox.ResourcesManager.RemoveAssetGroup(_loadAssetList);
	}
}
